Request

Response

    Project Bid Forms
    GET

    project-bid-forms/{formId}/line-items

    Retrieves a list of the specified project bid form’s line items.

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/construction/buildingconnected/v2/project-bid-forms/{formId}/line-items
    Authentication Context
    User context required
    Required OAuth Scopes
    data:read
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow.
    * Required

    Request

    URI Parameters

    formId
    string
    The ID of the form.

    Request

    Query String Parameters

    cursorState
    string
    An opaque cursor token that identifies where the next page of paginated results should start. It’s returned in each paginated response so that it can be provided in the next request to continue paginated results. If a paginated response contains no cursorState value, there are no further pages to return.

    Omit this parameter to initiate a paginated request or to restart pagination.

    limit
    int
    The maximum number of records that the endpoint may return per page.

    Note that a returned page may contain fewer records than the limit under either of these conditions:

    • There are fewer records found than the limit value.
    • The last page of a set is returned.

    Default value: 100

    includeSectionHeaders
    boolean
    If true, include section headers as standalone line items

    Response

    HTTP Status Code Summary

    200
    OK
    OK
    400
    Bad Request
    The parameters of the requested operation are invalid.
    401
    Unauthorized
    The provided bearer token is not valid.
    403
    Forbidden
    The user or service represented by the bearer token does not have permission to perform this operation.
    404
    Not Found
    The requested resource could not be found.
    429
    Too Many Requests
    Rate limit exceeded; wait some time before retrying. The ‘Retry-After’ header might provide the amount of the time to wait.
    500
    Internal Server Error
    An unknown error occurred on the server.

    Response

    Body Structure (200)

    Expand all
    pagination
    object
    The pagination details of a response.
    limit
    int
    The maximum number of records to return per page.

    Note that a returned page may contain fewer records than the limit under either of these conditions:

    • There are fewer records found than the limit value.
    • The last or only page is returned.
    cursorState
    string
    An opaque cursor token that identifies where the next page of paginated results should start. It’s returned in each paginated response so that it can be provided in the next request to continue paginated results. If a paginated response contains no cursorState value, there are no further pages to return.

    Omit this parameter to initiate a paginated request or to restart pagination.

    nextUrl
    string
    The URL path that returns the next page of data.
    results
    array: object
    The details of the line items on a project-level bid form.
    id
    string
    The unique ID of the bid form line item.

    Max length: 24

    type
    enum:string
    The type of the bid form line item.

    The possible values have the following UI equivalents:

    • ACKNOWLEDGMENT — General Acknowledgments
    • BONDING — Bond Information
    • CERTIFICATION — Certifications
    • DISCLAIMER — Disclaimers and Clarifications
    • LABOR_RATE — Labor Rates
    • MARKUP — Fees and Markups
    description
    string
    A description of the bid form line item.
    section
    string
    The user-defined name of a section of the bid form that the line item is in. This value is null if the item is not in a section.
    isRequired
    boolean
    Indicates whether the bid form line item is required. Possible values:
    • true: The bid form line item is required.
    • false: The bid form line item is optional.
    unit
    enum:string
    The unit format of the bid form line item.

    The possible values of this field depend on the value of the line item’s type field. Each possible line item type is listed, followed by the possible values of unit for that type:

    • ACKNOWLEDGMENT — YES_NO, TEXT, PERCENTAGE, TOTAL_COST_ONLY
    • BONDING — YES_NO, TEXT, PERCENTAGE, TOTAL_COST_ONLY
    • CERTIFICATION — YES_NO, TEXT
    • DISCLAIMER — Converted to null
    • LABOR_RATE — PER_HOUR, PER_DAY, PER_WEEK
    • MARKUP — PERCENTAGE, TOTAL_COST_ONLY

    Note that the value TOTAL_COST_ONLY is used for a lump sum line item.

    code
    string
    The cost code associated with the project line item.
    external
    object
    Information about an external tool that can link the line item to a cost or other element that is external to BuildingConnected.

    Note that BuildingConnected does not use information in this object.

    id
    string
    The ID of the external tool.
    name
    string
    The name of the external tool.

    Example

    OK

    Request

    curl -v 'https://developer.api.autodesk.com/construction/buildingconnected/v2/project-bid-forms/:formId/line-items' \
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
    

    Response

    {
      "pagination": {
        "limit": 100,
        "cursorState": "eyJsaW1pdCI6MjUsIm9mZnNldCI6MjV9",
        "nextUrl": "https://developer.api.autodesk.com/construction/buildingconnected/v2/projects?cursorState=eyJsaW1pdCI6MjUsIm9mZnNldCI6MjV9"
      },
      "results": [
        {
          "id": "53811754d3a604966df72247",
          "type": "ACKNOWLEDGMENT",
          "description": "This line item is important.",
          "section": null,
          "isRequired": true,
          "unit": "YES_NO",
          "code": "D2",
          "external": {
            "id": "ext-cost-id-123",
            "name": "External Cost Code"
          }
        }
      ]
    }
    
    Show More